package ua.be.wee.service;

import java.io.InputStream;
import java.nio.file.Path;
import java.util.stream.Stream;

public interface FileStorageService {
  public void init();

  public void save(InputStream file, String filename);

  public String load(String filename);

  public boolean delete(String filename);
  
  public void deleteAll();

  public Stream<Path> loadAll();
  
  public void setStorageURL(String url);
  
  public String getURL(String filename);
}
